Bug 478171 - MIGRATED_FROM_JIRA: Penrose Studio 1.1.2 on intel Macs - in connect to server dialog - password field is non-enterable
MIGRATED_FROM_JIRA: Penrose Studio 1.1.2 on intel Macs - in connect to server...
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:05 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:05:47 EST
On Intel Macs only, Penrose Studio can't connect to Penrose Server (unless the server has a blank admin password).

 The password field in the 'Connect to Penrose Server' dialog is non-enterable for both creating a new connection and editing an existing one.  The problem is not present on G5 Macs.  It was present in Penrose Studio 1.0.5 (with MacOSX 10.4.7) and is still present in Penrose Studio 1.1.2 (with MacOSX 10.4.8).

Additional Comments From rammic dated Thu Dec 07 10:21:34 CST 2006 
I'm running an Intel MacBook Pro- I've found that though the field does not reflect keystrokes (asterisks), though the password is actually recorded and submittable. 

Additional Comments From rammic dated Thu Dec 07 10:23:12 CST 2006 
That's what I get for last minute editing. That comment should have been:

"I'm running an Intel MacBook Pro- I've found that though the field does not reflect keystrokes (asterisks), the password is actually recorded and submittable."

Additional Comments From jimyang dated Mon Jan 08 12:28:47 CST 2007 
Noted. It only happens on Macos X platform.

Additional Comments From jimyang dated Wed Jun 20 18:28:05 CDT 2007 
password doesn't display "******". Instead it display blank. It should be displaying **** and when you type, it should also replace the character that you type with a "*"

Additional Comments From jimyang dated Wed Jun 20 18:37:12 CDT 2007 
this also occurs in this dialog box as well

Additional Comments From ugorox dated Wed Jun 20 21:05:08 CDT 2007 
Got it. First thought is that this could be possible a bug on SWT implementation. When creating the password text field this way:

passwordText = new Text(composite, SWT.BORDER | SWT.PASSWORD);

by using the SWT.PASSWORD flag, SWT renders the "echo char" as a special character (that is a pretty circle on Win and Linux) but for some reason on one specific build of SWT for Mac Intel it doesnt render properly. 

So one possible workaround is to remove SWT.PASSWORD and set the echo char yourself using a common character like asterisk:

passwordText = new Text(composite, SWT.BORDER); //removed SWT.PASSWORD buggy flag
passwordText.setEchoChar('*'); //hard-coding the echo char

I did this replacement in all the 6 occurrences (have to get a better idea of a 7th occurrence on JDBCConnectionWizardPage though, not touched). Now we will not have the pretty circle, but a working asterisk.
It runs flawless here, but as I'm using Linux, and it was working before, i cant be 100% sure. 
Its commited on 1.2 branch. Can anyone with a mac test it for me before I close this issue? 





=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'attachmentNames' => 'screenshot-1.jpg',
          'reporter' => 'cleetus',
          'key' => 'PENROSE-194',
          'assignee' => 'ugorox',
          'summary' => 'Penrose Studio 1.1.2 on intel Macs - in connect to server dialog - password field is non-enterable',
          'id' => '10581',
          'updated' => '2007-06-25 23:51:55.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2007-07-02 00:00:00.0',
                             'sequence' => '25',
                             'name' => ' Penrose-1.2.3',
                             'released' => 'true',
                             'id' => '10122',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'On Intel Macs only, Penrose Studio can't connect to Penrose Server (unless the server has a blank admin password).

 The password field in the 'Connect to Penrose Server' dialog is non-enterable for both creating a new connection and editing an existing one.  The problem is not present on G5 Macs.  It was present in Penrose Studio 1.0.5 (with MacOSX 10.4.7) and is still present in Penrose Studio 1.1.2 (with MacOSX 10.4.8).
',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2006-09-13 00:00:00.0',
                                 'sequence' => '17',
                                 'name' => 'Penrose-1.0.5',
                                 'released' => 'true',
                                 'id' => '10087',
                                 'archived' => 'false'
                               },
                               {
                                 'releaseDate' => '2006-09-18 00:00:00.0',
                                 'sequence' => '18',
                                 'name' => 'Penrose-1.1',
                                 'released' => 'true',
                                 'id' => '10037',
                                 'archived' => 'false'
                               },
                               {
                                 'releaseDate' => '2006-10-26 00:00:00.0',
                                 'sequence' => '19',
                                 'name' => 'Penrose-1.1.1',
                                 'released' => 'true',
                                 'id' => '10090',
                                 'archived' => 'false'
                               },
                               {
                                 'releaseDate' => '2006-11-27 00:00:00.0',
                                 'sequence' => '20',
                                 'name' => 'Penrose-1.1.2',
                                 'released' => 'true',
                                 'id' => '10091',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2006-12-06 18:02:53.0',
          'environment' => 'MacOSX 10.4.7-8 on Intel Macs only - problem is not present on G5 Macs',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:05:50 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-194

Note You need to log in before you can comment on or make changes to this bug.